{
  "accUserMode" : 0,
  "appIconPath" : "public/assets/images/app-logo.svg",
  "appSwitchMode" : 0,
  "bottomInfo" : "trainsys网页端下方信息",
  "caption" : "trainsys网页端应用标题1",
  "codeName" : "AppIndexView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPINDEXVIEWS/AppIndexView.json",
  "headerInfo" : "trainsys网页端头部信息",
  "name" : "AppIndexView",
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Ungroup.json"
  },
  "getPSViewLayoutPanel" : {
    "codeName" : "Usr0423218939",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "AppIndexView",
    "name" : "layoutpanel",
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "滚动条容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_scroll1",
      "getPSLayout" : {
        "layout" : "BORDER"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "面板容器",
        "contentWidth" : 100.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_main",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "layout" : "BORDER",
          "layoutPos" : "CENTER",
          "width" : 100,
          "widthMode" : "PERCENTAGE"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "contentHeight" : 100.0,
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container4",
          "getPSLayout" : {
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "height" : 100,
            "heightMode" : "PERCENTAGE",
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSPanelItems" : [ {
            "caption" : "标签页导航栏",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "nav_tabs",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX",
              "shrink" : 0
            },
            "getPSRawItem" : {
              "name" : "nav_tabs",
              "predefinedType" : "NAV_TABS"
            },
            "showCaption" : true
          }, {
            "caption" : "面包屑导航",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "nav_breadcrumb",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "name" : "nav_breadcrumb",
              "predefinedType" : "NAV_BREADCRUMB"
            },
            "showCaption" : true
          }, {
            "caption" : "导航区占位",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "nav_pos_index",
            "getPSLayoutPos" : {
              "grow" : 1,
              "layout" : "FLEX"
            },
            "getPSRawItem" : {
              "name" : "nav_pos_index",
              "predefinedType" : "NAV_POS_INDEX"
            },
            "showCaption" : true
          } ]
        }, {
          "actionType" : "NONE",
          "buttonHeight" : 48.0,
          "buttonStyle" : "DEFAULT",
          "buttonWidth" : 48.0,
          "caption" : "按钮",
          "contentHeight" : 48.0,
          "contentWidth" : 48.0,
          "itemStyle" : "DEFAULT",
          "itemType" : "BUTTON",
          "name" : "shortcut",
          "getPSLayoutPos" : {
            "height" : 48,
            "heightMode" : "FULL",
            "layout" : "BORDER",
            "layoutPos" : "CENTER",
            "width" : 48,
            "widthMode" : "FULL"
          },
          "tooltip" : "按钮",
          "uIActionTarget" : "NONE"
        } ],
        "predefinedType" : "CONTAINER_SCROLL_MAIN",
        "showCaption" : true
      }, {
        "caption" : "面板容器",
        "contentWidth" : 256.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_left",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "layout" : "BORDER",
          "layoutPos" : "WEST",
          "width" : 256,
          "widthMode" : "PX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "app_header",
          "getPSLayout" : {
            "dir" : "column",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "heightMode" : "FULL",
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSPanelItems" : [ {
            "caption" : "应用标题",
            "contentHeight" : 90.0,
            "height" : 90.0,
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "app_apptitle",
            "getPSLayoutPos" : {
              "grow" : -1,
              "height" : 90,
              "heightMode" : "PX",
              "layout" : "FLEX",
              "shrink" : 0,
              "widthMode" : "FULL"
            },
            "getPSRawItem" : {
              "name" : "app_apptitle",
              "predefinedType" : "APP_APPTITLE",
              "rawItemHeight" : 90.0
            },
            "rawItemHeight" : 90.0,
            "showCaption" : true
          }, {
            "caption" : "用户信息",
            "contentHeight" : 68.0,
            "height" : 68.0,
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "auth_userinfo",
            "getPSLayoutPos" : {
              "grow" : -1,
              "height" : 68,
              "heightMode" : "PX",
              "layout" : "FLEX",
              "shrink" : 0,
              "widthMode" : "FULL"
            },
            "getPSRawItem" : {
              "name" : "auth_userinfo",
              "predefinedType" : "AUTH_USERINFO",
              "rawItemHeight" : 68.0
            },
            "rawItemHeight" : 68.0,
            "showCaption" : true
          }, {
            "caption" : "容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "indexactions",
            "getPSLayout" : {
              "align" : "space-around",
              "dir" : "row",
              "layout" : "FLEX",
              "vAlign" : "center"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX",
              "shrink" : 0,
              "widthMode" : "FULL"
            },
            "getPSPanelItems" : [ {
              "caption" : "容器",
              "contentHeight" : 48.0,
              "contentWidth" : 48.0,
              "height" : 48.0,
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "container1",
              "getPSLayout" : {
                "layout" : "FLEX"
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "height" : 48,
                "heightMode" : "PX",
                "layout" : "FLEX",
                "width" : 48,
                "widthMode" : "PX"
              },
              "getPSPanelItems" : [ {
                "caption" : "消息通知",
                "contentType" : "IMAGE",
                "itemStyle" : "DEFAULT",
                "itemType" : "RAWITEM",
                "name" : "usermessage",
                "getPSLayoutPos" : {
                  "grow" : -1,
                  "heightMode" : "FULL",
                  "layout" : "FLEX",
                  "widthMode" : "FULL"
                },
                "getPSRawItem" : {
                  "contentType" : "IMAGE",
                  "name" : "usermessage",
                  "predefinedType" : "USERMESSAGE"
                },
                "showCaption" : true
              } ],
              "width" : 48.0
            }, {
              "caption" : "容器",
              "contentHeight" : 48.0,
              "contentWidth" : 48.0,
              "height" : 48.0,
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "container2",
              "getPSLayout" : {
                "layout" : "FLEX"
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "height" : 48,
                "heightMode" : "PX",
                "layout" : "FLEX",
                "width" : 48,
                "widthMode" : "PX"
              },
              "width" : 48.0
            }, {
              "caption" : "容器",
              "contentHeight" : 48.0,
              "contentWidth" : 48.0,
              "height" : 48.0,
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "container3",
              "getPSLayout" : {
                "layout" : "FLEX"
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "height" : 48,
                "heightMode" : "PX",
                "layout" : "FLEX",
                "width" : 48,
                "widthMode" : "PX"
              },
              "getPSPanelItems" : [ {
                "actionType" : "NONE",
                "buttonHeight" : 48.0,
                "buttonStyle" : "DEFAULT",
                "buttonWidth" : 48.0,
                "caption" : "按钮",
                "contentHeight" : 48.0,
                "contentWidth" : 48.0,
                "height" : 48.0,
                "itemStyle" : "DEFAULT",
                "itemType" : "BUTTON",
                "name" : "button_calluilogic2",
                "getPSLayoutPos" : {
                  "grow" : -1,
                  "height" : 48,
                  "heightMode" : "FULL",
                  "layout" : "FLEX",
                  "width" : 48,
                  "widthMode" : "FULL"
                },
                "tooltip" : "按钮",
                "uIActionTarget" : "NONE",
                "width" : 48.0
              } ],
              "width" : 48.0
            }, {
              "caption" : "容器",
              "contentHeight" : 48.0,
              "contentWidth" : 48.0,
              "height" : 48.0,
              "itemStyle" : "DEFAULT",
              "itemType" : "CONTAINER",
              "name" : "container5",
              "getPSLayout" : {
                "layout" : "FLEX"
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "height" : 48,
                "heightMode" : "PX",
                "layout" : "FLEX",
                "width" : 48,
                "widthMode" : "PX"
              },
              "getPSPanelItems" : [ {
                "actionType" : "NONE",
                "buttonHeight" : 48.0,
                "buttonStyle" : "DEFAULT",
                "buttonWidth" : 48.0,
                "caption" : "按钮",
                "contentHeight" : 48.0,
                "contentWidth" : 48.0,
                "height" : 48.0,
                "itemStyle" : "DEFAULT",
                "itemType" : "BUTTON",
                "name" : "button_calluilogic3",
                "getPSLayoutPos" : {
                  "grow" : -1,
                  "height" : 48,
                  "heightMode" : "FULL",
                  "layout" : "FLEX",
                  "width" : 48,
                  "widthMode" : "FULL"
                },
                "tooltip" : "按钮",
                "uIActionTarget" : "NONE",
                "width" : 48.0
              } ],
              "width" : 48.0
            } ],
            "predefinedType" : "INDEX_ACTIONS"
          }, {
            "caption" : "容器",
            "contentHeight" : 52.0,
            "height" : 52.0,
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container",
            "getPSLayout" : {
              "align" : "center",
              "layout" : "FLEX",
              "vAlign" : "center"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "height" : 52,
              "heightMode" : "PX",
              "layout" : "FLEX",
              "shrink" : 0,
              "widthMode" : "FULL"
            },
            "getPSPanelItems" : [ {
              "caption" : "搜索栏",
              "contentType" : "RAW",
              "itemStyle" : "DEFAULT",
              "itemType" : "RAWITEM",
              "name" : "index_view_search",
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "FLEX"
              },
              "getPSRawItem" : {
                "caption" : "文本内容",
                "contentType" : "RAW",
                "name" : "index_view_search",
                "predefinedType" : "INDEX_VIEW_SEARCH",
                "renderMode" : "TEXT"
              },
              "rawContent" : "文本内容",
              "showCaption" : true
            } ]
          }, {
            "caption" : "首页菜单",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "appmenu",
            "getPSLayoutPos" : {
              "grow" : 1,
              "layout" : "FLEX",
              "widthMode" : "FULL"
            },
            "showCaption" : true
          } ],
          "predefinedType" : "AppHeader"
        } ],
        "predefinedType" : "CONTAINER_SCROLL_LEFT",
        "width" : 256.0,
        "showCaption" : true
      } ],
      "predefinedType" : "CONTAINER_SCROLL"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "7A46507F-EF22-4ECF-88B7-9BFAF476C8F3",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "codeName" : "AppIndexView",
      "controlType" : "APPMENU",
      "layoutMode" : "TABLE_24COL",
      "logicName" : "首页默认菜单",
      "name" : "appmenu",
      "getPSAppMenuItems" : [ {
        "accUserMode" : 0,
        "caption" : "底部右侧",
        "itemType" : "MENUITEM",
        "name" : "footer_right",
        "getPSAppMenuItems" : [ {
          "accUserMode" : 2,
          "caption" : "right按键1",
          "itemType" : "MENUITEM",
          "name" : "menuitem3",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "AppFunc7"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf0ea@FontAwesome",
            "cssClass" : "fa fa-clipboard"
          },
          "tooltip" : "right按键1"
        }, {
          "accUserMode" : 0,
          "caption" : "right按键2",
          "itemType" : "MENUITEM",
          "name" : "menuitem4",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "cssClass" : "fa-solid fa-building-shield"
          },
          "tooltip" : "right按键2"
        }, {
          "accUserMode" : 0,
          "itemType" : "MENUITEM",
          "name" : "changeBottom",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf06e@FontAwesome",
            "cssClass" : "fa fa-eye"
          },
          "tooltip" : "「打开/关闭」底部分页"
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "tooltip" : "底部右侧"
      }, {
        "accUserMode" : 2,
        "caption" : "BI饼图",
        "itemType" : "MENUITEM",
        "name" : "menuitem39",
        "getPSAppFunc" : {
          "modelref" : true,
          "id" : "UsrAppFunc0527990408"
        },
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "tooltip" : "BI饼图"
      }, {
        "accUserMode" : 0,
        "caption" : "center按键1",
        "itemType" : "MENUITEM",
        "name" : "menuitem8",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSSysImage" : {
          "cssClass" : "fa-regular fa-hourglass-half"
        },
        "tooltip" : "center按键1"
      }, {
        "accUserMode" : 0,
        "caption" : "center按键1",
        "itemType" : "MENUITEM",
        "name" : "menuitem9",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSSysImage" : {
          "cssClass" : "fa-solid fa-face-grin-hearts"
        },
        "tooltip" : "center按键1"
      }, {
        "accUserMode" : 0,
        "caption" : "顶部菜单",
        "itemType" : "MENUITEM",
        "name" : "top_menus",
        "getPSAppMenuItems" : [ {
          "accUserMode" : 2,
          "caption" : "一键代码发布",
          "itemType" : "MENUITEM",
          "name" : "menuitem6",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "UsrAppFunc0906889696"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "tooltip" : "一键代码发布"
        }, {
          "accUserMode" : 0,
          "caption" : "运行",
          "itemType" : "MENUITEM",
          "name" : "menuitem2",
          "getPSAppMenuItems" : [ {
            "accUserMode" : 2,
            "caption" : "一键模型发布",
            "itemType" : "MENUITEM",
            "name" : "menuitem12",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "UsrAppFunc0301371457"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "一键模型发布"
          }, {
            "accUserMode" : 2,
            "caption" : "一键启动",
            "itemType" : "MENUITEM",
            "name" : "menuitem10",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "AppFunc80"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "一键启动"
          }, {
            "accUserMode" : 2,
            "caption" : "打开看板视图",
            "itemType" : "MENUITEM",
            "name" : "menuitem16",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "AppFunc50"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "打开看板视图"
          }, {
            "accUserMode" : 2,
            "caption" : "测试用表单",
            "itemType" : "MENUITEM",
            "name" : "menuitem26",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "AppFunc54"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "测试用表单"
          }, {
            "accUserMode" : 2,
            "caption" : "测试树视图",
            "itemType" : "MENUITEM",
            "name" : "menuitem27",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "AppFunc57"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "测试树视图"
          }, {
            "accUserMode" : 2,
            "caption" : "书实体数据视图（部件视图）",
            "itemType" : "MENUITEM",
            "name" : "menuitem28",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "AppFunc62"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "书实体数据视图（部件视图）"
          }, {
            "accUserMode" : 2,
            "caption" : "编辑视图（部件）",
            "itemType" : "MENUITEM",
            "name" : "menuitem30",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "AppFunc63"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "编辑视图（部件）"
          }, {
            "accUserMode" : 2,
            "caption" : "树选择",
            "itemType" : "MENUITEM",
            "name" : "menuitem31",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "AppFunc79"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "树选择"
          }, {
            "accUserMode" : 2,
            "caption" : "Test分页关系视图（模态）",
            "itemType" : "MENUITEM",
            "name" : "menuitem35",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "AppFunc28"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "Test分页关系视图（模态）"
          }, {
            "accUserMode" : 2,
            "caption" : "手机编辑视图",
            "itemType" : "MENUITEM",
            "name" : "menuitem36",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "UsrAppFunc1007844596"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "手机编辑视图"
          }, {
            "accUserMode" : 2,
            "caption" : "饼图",
            "itemType" : "MENUITEM",
            "name" : "menuitem37",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "UsrAppFunc0301210084"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "饼图"
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf1c0@FontAwesome",
            "cssClass" : "fa fa-database"
          },
          "tooltip" : "运行"
        }, {
          "accUserMode" : 0,
          "caption" : "打开系统",
          "itemType" : "MENUITEM",
          "name" : "menuitem13",
          "getPSAppMenuItems" : [ {
            "accUserMode" : 2,
            "caption" : "列表",
            "itemType" : "MENUITEM",
            "name" : "menuitem7",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "UsrAppFunc0908468750"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "列表"
          }, {
            "accUserMode" : 0,
            "caption" : "打开运行系统",
            "itemType" : "MENUITEM",
            "name" : "menuitem14",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "打开运行系统"
          }, {
            "accUserMode" : 2,
            "caption" : "Test表格视图",
            "itemType" : "MENUITEM",
            "name" : "menuitem29",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "AppFunc24"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "Test表格视图"
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf079@FontAwesome",
            "cssClass" : "fa fa-retweet"
          },
          "tooltip" : "打开系统"
        }, {
          "accUserMode" : 2,
          "caption" : "测试编辑器",
          "itemType" : "MENUITEM",
          "name" : "menuitem25",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "AppFunc6"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "tooltip" : "测试编辑器"
        }, {
          "accUserMode" : 2,
          "caption" : "测试表格行编辑",
          "itemType" : "MENUITEM",
          "name" : "menuitem11",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "AppFunc11"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "tooltip" : "测试表格行编辑"
        }, {
          "accUserMode" : 2,
          "caption" : "书实体信息表格视图",
          "itemType" : "MENUITEM",
          "name" : "menuitem15",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "AppFunc20"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "tooltip" : "书实体信息表格视图"
        }, {
          "accUserMode" : 2,
          "caption" : "表单编辑器",
          "itemType" : "MENUITEM",
          "name" : "menuitem5",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "UsrAppFunc1013475445"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "tooltip" : "表单编辑器"
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "tooltip" : "顶部菜单"
      }, {
        "accUserMode" : 0,
        "caption" : "user菜单",
        "itemType" : "MENUITEM",
        "name" : "user_menus",
        "getPSAppMenuItems" : [ {
          "accUserMode" : 0,
          "caption" : "主题颜色",
          "itemType" : "MENUITEM",
          "name" : "menuitem211",
          "getPSAppMenuItems" : [ {
            "accUserMode" : 2,
            "caption" : "一键代码发布",
            "itemType" : "MENUITEM",
            "name" : "menuitem61",
            "getPSAppFunc" : {
              "modelref" : true,
              "id" : "AppFunc7"
            },
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "一键代码发布"
          }, {
            "accUserMode" : 0,
            "caption" : "一键文档发布",
            "itemType" : "MENUITEM",
            "name" : "menuitem101",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "一键文档发布"
          }, {
            "accUserMode" : 0,
            "caption" : "一键模型发布",
            "itemType" : "MENUITEM",
            "name" : "menuitem121",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "一键模型发布"
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf0ea@FontAwesome",
            "cssClass" : "fa fa-clipboard"
          },
          "tooltip" : "主题颜色"
        }, {
          "accUserMode" : 0,
          "caption" : "退出登录",
          "itemType" : "MENUITEM",
          "name" : "menuitem131",
          "getPSAppMenuItems" : [ {
            "accUserMode" : 0,
            "caption" : "打开运行系统",
            "itemType" : "MENUITEM",
            "name" : "menuitem141",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "打开运行系统"
          }, {
            "accUserMode" : 0,
            "caption" : "打开微服务应用",
            "itemType" : "MENUITEM",
            "name" : "menuitem151",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "打开微服务应用"
          }, {
            "accUserMode" : 0,
            "caption" : "打开微服务接口",
            "itemType" : "MENUITEM",
            "name" : "menuitem161",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "tooltip" : "打开微服务接口"
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf06e@FontAwesome",
            "cssClass" : "fa fa-eye"
          },
          "tooltip" : "退出登录"
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "tooltip" : "user菜单"
      }, {
        "accUserMode" : 0,
        "caption" : "底部内容",
        "itemType" : "MENUITEM",
        "name" : "bottom_exp",
        "getPSAppMenuItems" : [ {
          "accUserMode" : 2,
          "caption" : "输出",
          "itemType" : "MENUITEM",
          "name" : "menuitem18",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "AppFunc97"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "tooltip" : "输出"
        }, {
          "accUserMode" : 2,
          "caption" : "问题",
          "itemType" : "MENUITEM",
          "name" : "menuitem19",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "UsrAppFunc0906889696"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "tooltip" : "问题"
        }, {
          "accUserMode" : 0,
          "caption" : "打开html",
          "itemType" : "MENUITEM",
          "name" : "menuitem23",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "UsrAppFunc1008576831"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "tooltip" : "打开html"
        }, {
          "accUserMode" : 2,
          "caption" : "折线图",
          "itemType" : "MENUITEM",
          "name" : "menuitem24",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "UsrAppFunc0301371457"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "tooltip" : "折线图"
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "tooltip" : "底部内容"
      }, {
        "accUserMode" : 0,
        "caption" : "左侧菜单",
        "itemType" : "MENUITEM",
        "name" : "left_exp",
        "getPSAppMenuItems" : [ {
          "accUserMode" : 2,
          "caption" : "歌曲表格",
          "itemType" : "MENUITEM",
          "name" : "menuitem1",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "UsrAppFunc0906889696"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf19c@FontAwesome",
            "cssClass" : "fa fa-institution"
          },
          "tooltip" : "歌曲表格"
        }, {
          "accUserMode" : 2,
          "caption" : "非路由打开导航",
          "itemType" : "MENUITEM",
          "name" : "menuitem21",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "AppFunc97"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf1c0@FontAwesome",
            "cssClass" : "fa fa-database"
          },
          "tooltip" : "非路由打开导航"
        }, {
          "accUserMode" : 2,
          "caption" : "测试编辑器",
          "itemType" : "MENUITEM",
          "name" : "menuitem22",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "AppFunc6"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf079@FontAwesome",
            "cssClass" : "fa fa-retweet"
          },
          "tooltip" : "测试编辑器"
        }, {
          "accUserMode" : 0,
          "caption" : "左侧菜单按键2",
          "itemType" : "MENUITEM",
          "name" : "menuitem20",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "UsrAppFunc1008576831"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf06e@FontAwesome",
            "cssClass" : "fa fa-eye"
          },
          "tooltip" : "左侧菜单按键2"
        }, {
          "accUserMode" : 2,
          "caption" : "左侧菜单按键1",
          "itemType" : "MENUITEM",
          "name" : "menuitem17",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "AppFunc7"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf0ea@FontAwesome",
            "cssClass" : "fa fa-clipboard"
          },
          "tooltip" : "左侧菜单按键1"
        }, {
          "accUserMode" : 2,
          "caption" : "列表测试分组",
          "itemType" : "MENUITEM",
          "name" : "menuitem32",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "AppFunc80"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf0ea@FontAwesome",
            "cssClass" : "fa fa-clipboard"
          },
          "tooltip" : "列表测试分组"
        }, {
          "accUserMode" : 2,
          "caption" : "无分页列表",
          "itemType" : "MENUITEM",
          "name" : "menuitem33",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "UsrAppFunc1023896623"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf0ea@FontAwesome",
            "cssClass" : "fa fa-clipboard"
          },
          "tooltip" : "无分页列表"
        }, {
          "accUserMode" : 2,
          "caption" : "有分页列表",
          "itemType" : "MENUITEM",
          "name" : "menuitem34",
          "getPSAppFunc" : {
            "modelref" : true,
            "id" : "UsrAppFunc1023540911"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSSysImage" : {
            "glyph" : "xf0ea@FontAwesome",
            "cssClass" : "fa fa-clipboard"
          },
          "tooltip" : "有分页列表"
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "tooltip" : "左侧菜单"
      }, {
        "accUserMode" : 0,
        "caption" : "底部切换按钮",
        "itemType" : "MENUITEM",
        "name" : "footer_changebutton",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "tooltip" : "「打开/关闭」底部分页"
      } ],
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "appmenu"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true
      },
      "modelid" : "C8BE28E4-051A-445B-895C-4434A6CA9BBC",
      "modeltype" : "PSAPPMENU"
    }, {
      "caption" : "trainsys网页端应用标题1",
      "codeName" : "captionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSControlParam" : { },
      "subCaption" : "trainsys网页端应用子标题"
    } ]
  },
  "subCaption" : "trainsys网页端应用子标题",
  "title" : "trainsys网页端应用抬头",
  "viewStyle" : "DEFAULT",
  "viewType" : "APPINDEXVIEW",
  "blankMode" : false,
  "defaultPage" : true,
  "enableAppSwitch" : false,
  "enableDP" : true,
  "modelid" : "F7627FF1-F796-4A33-94B3-676583622C8B",
  "modeltype" : "PSAPPINDEXVIEW"
}